From: Neil Muller <drnlmuller+debian@gmail.com>
Date: Thu, 8 Oct 2015 14:08:57 -0700
Subject: Replace the image links simple text links.

 The image links link to several external sites (sourceforge, github
 and so forth), which triggers lintian's privacy-breach-logo error.
 This avoids the entire issue and avoids dragging the logos into
 the package.
Last-Update: 2022-10-16
Forwarded: not-needed

Patch-Name: replace_logos
---
 docs/Authors.rst         | 10 +++-------
 docs/DeveloperGuide.rst  | 13 +++----------
 docs/FAQ.rst             | 10 +++-------
 docs/Inheritance.rst     | 10 +++-------
 docs/News.rst            | 10 +++-------
 docs/News1.rst           | 10 +++-------
 docs/News2.rst           | 10 +++-------
 docs/News3.rst           | 10 +++-------
 docs/News4.rst           | 10 +++-------
 docs/News5.rst           | 10 +++-------
 docs/News6.rst           | 10 +++-------
 docs/Python3.rst         | 10 +++-------
 docs/SQLBuilder.rst      | 10 +++-------
 docs/SQLObject.rst       | 10 +++-------
 docs/SelectResults.rst   | 10 +++-------
 docs/TODO.rst            | 10 +++-------
 docs/Versioning.rst      | 10 +++-------
 docs/Views.rst           | 10 +++-------
 docs/community.rst       | 10 +++-------
 docs/download.rst        | 10 +++-------
 docs/index.rst           | 10 +++-------
 docs/links.rst           | 10 +++-------
 docs/sqlobject-admin.rst | 10 +++-------
 23 files changed, 69 insertions(+), 164 deletions(-)

--- a/docs/Authors.rst
+++ b/docs/Authors.rst
@@ -42,10 +42,6 @@
 * Hugo van Kemenade <hugovk@users.noreply.github.com>
 * Oleg Broytman <phd@phdru.name>
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/DeveloperGuide.rst
+++ b/docs/DeveloperGuide.rst
@@ -279,9 +279,6 @@
 We now use `Github Actions <https://github.com/sqlobject/sqlobject/actions>`_
 to run tests.
 
-.. image:: https://github.com/sqlobject/sqlobject/actions/workflows/run-tests.yaml/badge.svg?branch=github-actions
-   :target: https://github.com/sqlobject/sqlobject/actions/workflows/run-tests.yaml
-
 Documentation
 =============
 
@@ -304,10 +301,6 @@
 * Commit messages must be pure ASCII. No fancy Unicode emojies,
   quotes, etc.
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/FAQ.rst
+++ b/docs/FAQ.rst
@@ -589,10 +589,6 @@
                     COLLATE utf8_estonian_ci''']
                 }
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/Inheritance.rst
+++ b/docs/Inheritance.rst
@@ -327,10 +327,6 @@
 * If you have suggestion, bugs, or patch to this patch, you can
   contact the SQLObject team: <sqlobject-discuss at lists.sourceforge.net>
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/News.rst
+++ b/docs/News.rst
@@ -216,10 +216,6 @@
 
 .. __: News6.html
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/News1.rst
+++ b/docs/News1.rst
@@ -454,10 +454,6 @@
 
 .. _Col docs: SQLObject.html#col-class-specifying-columns
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/News2.rst
+++ b/docs/News2.rst
@@ -595,10 +595,6 @@
 
 .. __: News1.html
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/News3.rst
+++ b/docs/News3.rst
@@ -380,10 +380,6 @@
 
 .. __: News2.html
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/News4.rst
+++ b/docs/News4.rst
@@ -321,10 +321,6 @@
 
 .. __: News3.html
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/News5.rst
+++ b/docs/News5.rst
@@ -632,10 +632,6 @@
 
 .. __: News4.html
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/News6.rst
+++ b/docs/News6.rst
@@ -557,10 +557,6 @@
 
 .. __: News5.html
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/Python3.rst
+++ b/docs/Python3.rst
@@ -81,10 +81,6 @@
 If a character set wasn't specified, then things may work if the character set
 is set to match the dbEncoding parameter used when defining the UnicodeCol.
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/SQLBuilder.rst
+++ b/docs/SQLBuilder.rst
@@ -259,10 +259,6 @@
        IN(PersonWorkplace.q.WorkplaceID,
        Select(Workplace.q.id, Workplace.q.id==SOME_ID)))
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/SQLObject.rst
+++ b/docs/SQLObject.rst
@@ -2169,10 +2169,6 @@
 .. _SQLBuilder: SQLBuilder.html
 .. _`SQLBuilder Documentation`: SQLBuilder.html
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/SelectResults.rst
+++ b/docs/SelectResults.rst
@@ -194,10 +194,6 @@
 returns a SelectResults of Persons who are the paternal grandfather of
 someone named ``Steve``.
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/TODO.rst
+++ b/docs/TODO.rst
@@ -140,10 +140,6 @@
 
 * Type annotations and mypy tests.
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/Versioning.rst
+++ b/docs/Versioning.rst
@@ -84,10 +84,6 @@
 the main table is altered, so if you add a column to your main class,
 you will need to manually add the column to your version table. 
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/Views.rst
+++ b/docs/Views.rst
@@ -62,10 +62,6 @@
     calls = SQLMultipleJoin('PhoneCall', joinColumn='phoneNumberID')
     vCalls = SQLMultipleJoin('ViewPhoneCall', joinColumn='phoneNumberID')
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/community.rst
+++ b/docs/community.rst
@@ -28,10 +28,6 @@
 One can also contribute to `community-editable recipe/documentation site
 <https://sites.google.com/site/sqlobject/>`_.
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/download.rst
+++ b/docs/download.rst
@@ -92,10 +92,6 @@
 Before switching to git development was performed at the Subversion
 repository that is no longer available.
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/index.rst
+++ b/docs/index.rst
@@ -85,10 +85,6 @@
 * :ref:`search`
 
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/links.rst
+++ b/docs/links.rst
@@ -38,10 +38,6 @@
   browsing, reading, and managing books from `Project Gutenberg
   <https://www.gutenberg.org/>`_.
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
--- a/docs/sqlobject-admin.rst
+++ b/docs/sqlobject-admin.rst
@@ -209,10 +209,6 @@
 
 * A command to trim versions, by merging upgrade scripts.
 
-.. image:: https://sourceforge.net/sflogo.php?group_id=74338&type=10
-   :target: https://sourceforge.net/projects/sqlobject
-   :class: noborder
-   :align: center
-   :height: 15
-   :width: 80
-   :alt: Get SQLObject at SourceForge.net. Fast, secure and Free Open Source software downloads
+.. footer:: Get SQLObject at Sourceforge.net_. Fast, secure and Free Open Source software downloads
+
+.. _Sourceforge.net: http://sourceforge.net/projects/sqlobject
